## Build

Cryptpad being not NixOS native, an upgrade must be done in 4 steps:
  1. Bump the cryptpad version in `common.nix`
  2. Rebuild the Nix lock files for the dependencies 
  3. Build the package for Nix
  4. Create a container from the Nix package

To bump the nix version, set the desired tag in `common.nix` in the `cryptpadVersion` entry.
Set the corresponding commit in the `cryptadCommit` field, its goal would be to detect unwanted update of the tag.

To rebuild the lock files (they are stored in the `nix.lock` folder):

```
nix-shell --run "update_lock"
```

To build cryptpad:

```
nix-build
```

Create the container:

```
docker load < $(nix-build docker.nix)
docker push superboum/cryptpad:???
```
