#!/usr/bin/env bash

# Bruxelles (bespin): git forge at git.deuxfleurs.fr

curl -vv  -X PUT http://localhost:8500/v1/catalog/register -H "Content-Type: application/json" --data @- <<EOF
{
  "Datacenter": "prod",
  "Node": "gitea",
  "Address": "192.168.5.200",
  "NodeMeta": {
    "site": "bespin",
    "cname_target": "bespin.site.deuxfleurs.fr."
  },
  "Service": {
    "Service": "gitea",
    "Tags": ["tricot git.deuxfleurs.fr"],
    "Address": "192.168.5.200",
    "Port": 3001
  }
}
EOF

# Lille (scorpio): ADRN's personnal services under luxeylab.net

curl -vv  -X PUT http://localhost:8500/v1/catalog/register -H "Content-Type: application/json" --data @- <<EOF
{
  "Datacenter": "prod",
  "Node": "spoutnik",
  "Address": "192.168.1.60",
  "NodeMeta": {
    "site": "scorpio",
    "cname_target": "scorpio.site.deuxfleurs.fr."
  },
  "Service": {
    "Service": "adrien-nginx",
    "Tags": ["tricot-https *.luxeylab.net"],
    "Address": "192.168.1.60",
    "Port": 443
  }
}
EOF

# Orsay (neptune): Alex's personnal stuff

curl -vv  -X PUT http://localhost:8500/v1/catalog/register -H "Content-Type: application/json" --data @- <<EOF
{
  "Datacenter": "prod",
  "Node": "lindy",
  "Address": "192.168.1.184",
  "NodeMeta": {
    "site": "neptune",
    "cname_target": "neptune.site.deuxfleurs.fr."
  },
  "Service": {
    "Service": "lx-apimdev",
    "Tags": ["tricot apimdev.adnab.me"],
    "Address": "192.168.1.184",
    "Port": 8910
  }
}
EOF

curl -vv  -X PUT http://localhost:8500/v1/catalog/register -H "Content-Type: application/json" --data @- <<EOF
{
  "Datacenter": "prod",
  "Node": "lindy",
  "Address": "192.168.1.184",
  "NodeMeta": {
    "site": "neptune",
    "cname_target": "neptune.site.deuxfleurs.fr."
  },
  "Service": {
    "Service": "lx-apimtest",
    "Tags": ["tricot apimtest.adnab.me"],
    "Address": "192.168.1.184",
    "Port": 8920
  }
}
EOF


curl -vv  -X PUT http://localhost:8500/v1/catalog/register -H "Content-Type: application/json" --data @- <<EOF
{
  "Datacenter": "prod",
  "Node": "www.isomorphis.me",
  "Address": "192.168.1.24",
  "NodeMeta": {
    "site": "neptune",
    "cname_target": "neptune.site.deuxfleurs.fr."
  },
  "Service": {
    "Service": "isomorphis.me-web",
    "Tags": ["tricot *.isomorphis.me"],
    "Address": "192.168.1.24",
    "Port": 5000
  }
}
EOF
