# Configuration file local to this node

{ config, pkgs, ... }:

{
  imports =
    [
      ./remote-unlock.nix
    ];

  deuxfleurs.remoteUnlock = {
    networkInterface = "eno1";
    staticIP = "192.168.1.22/24";
    defaultGateway = "192.168.1.1";
  };

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.timeout = 20;
  boot.loader.efi.canTouchEfiVariables = true;

  deuxfleurs.hostName = "carcajou";
  deuxfleurs.staticIPv6.address = "2001:910:1204:1::22";

  system.stateVersion = "21.05";
}
